1] created a new folder 'first_project'
2]Initiated git 
3]cloned the repo
4]made multiple commits in master
5]created multiple branchs dev, branch-a, branch-branch
6] made multiple commits in them and merged branch a with branch-branch
7]Created conflicts by merging both branch-a and branch-b with dev, resoved the conflicts.